package com.yijia.station.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 班结管理对象 station_class_structure
 * 
 * @author yijia
 * @date 2021-01-12
 */
public class StationClassStructure extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderNo;

    /** 油站id */
    private Long stationId;

    /** 油站名称 */
    @Excel(name = "油站名称")
    private String stationName;

    /** 加油枪号 */
    @Excel(name = "加油枪号")
    private String oilGun;

    /** 油品名称 */
    @Excel(name = "油品名称")
    private String oilName;

    /** 油品价格 */
    @Excel(name = "油品价格")
    private BigDecimal oilPirce;

    /** 油品类型（柴油，汽油） */
    private String oilType;

    /** 用户（app_user_info  id消费者id） */
    private Long consumerId;

    /** 消费者 */
    @Excel(name = "消费者")
    private String consumer;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal amt;

    /** 加油升数 */
    @Excel(name = "加油升数")
    private BigDecimal  orderLiters;

    /** 支付类型 sxf */

    private String payType;

    /** 支付方式：02公众号 03小程序 */

    private String payWay;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date payDate;

    /** 加油员人名 */
    @Excel(name = "加油员人名")
    private String oilPersonnel;

    /** 订单类型订单类型（1.柴油，2.汽油，积分：3.现金+积分4.现金，5.积分） */
    private String orderType;

    /** 打印小票数（含重复） */
    @Excel(name = "打印小票数")
    private Long printNum;

    /** 班次号 */
    @Excel(name = "班次号")
    private String classStructureNo;

    /** 班结开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "班次开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date classStartDate;

    /** 班结时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "班次结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date classStructureDate;

    /** 班结人 */
    @Excel(name = "班结人")
    private String classStructureMan;

    /** 油品 */

    private String oils;
    /** like 查询班结号 */
    private String likeClassStructureNo;
    /** like 返回参数 */
    private Integer num;

    public BigDecimal getAmt() {
        return amt;
    }

    public void setAmt(BigDecimal amt) {
        this.amt = amt;
    }

    public BigDecimal getOrderLiters() {
        return orderLiters;
    }

    public void setOrderLiters(BigDecimal orderLiters) {
        this.orderLiters = orderLiters;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public String getLikeClassStructureNo() {
        return likeClassStructureNo;
    }

    public void setLikeClassStructureNo(String likeClassStructureNo) {
        this.likeClassStructureNo = likeClassStructureNo;
    }

    /** 应收金额 */
    @Excel(name = "应收金额")
    private BigDecimal receivableAmt;

    /** 到账金额 */
    @Excel(name = "到账金额")
    private BigDecimal receivedAmt;

    /** 优惠金额 */
    @Excel(name = "优惠金额")
    private BigDecimal discountAmt;

    /** 优惠劵金额 */
    @Excel(name = "优惠劵金额")
    private BigDecimal discountCouponAmt;

    /** 优惠劵 */
    @Excel(name = "优惠劵")
    private String discountCoupon;

    /** 微信金额 */
    @Excel(name = "微信金额")
    private BigDecimal wxAmt;

    /** 支付宝金额 */
    @Excel(name = "支付宝金额")
    private BigDecimal zfbAmt;

    /** pos支付金额 */
    @Excel(name = "pos支付金额")
    private BigDecimal posAmt;

    /** 现金支付金额 */
    @Excel(name = "现金支付金额")
    private BigDecimal xjAmt;

    /** 滴滴app支付金额 */
    @Excel(name = "滴滴app支付金额")
    private BigDecimal didiAppAmt;

    /** 团油app支付金额 */
    @Excel(name = "团油app支付金额")
    private BigDecimal tyAppAmt;

    /** 其他支付金额 */
    @Excel(name = "其他支付金额")
    private BigDecimal otherAmt;

    /** 电子卡金额 */
    @Excel(name = "电子卡金额")
    private BigDecimal dzkAmt;

    /** 消费积分 */
    @Excel(name = "消费积分")
    private Long score;

    /** 会员卡号 */
    @Excel(name = "会员卡号")
    private String memberNo;

    /** 会员支付金额 */
    @Excel(name = "会员支付金额")
    private BigDecimal memberAmt;

    /** 车牌号 */
    @Excel(name = "车牌号")
    private String carNo;

    /** 客户电话 */
    @Excel(name = "客户电话")
    private String customerPhone;

    /** 客户等级 */
    @Excel(name = "客户等级")
    private String customerGrade;


    /**
     * 出参
     * @param id
     */
   //微信数量
    private Integer wxNum;
   // 支付宝支付数量
    private Integer zfbNum;
    //现金支付数量
    private Integer xjNum;

    public Integer getWxNum() {
        return wxNum;
    }

    public void setWxNum(Integer wxNum) {
        this.wxNum = wxNum;
    }

    public Integer getZfbNum() {
        return zfbNum;
    }

    public void setZfbNum(Integer zfbNum) {
        this.zfbNum = zfbNum;
    }

    public Integer getXjNum() {
        return xjNum;
    }

    public void setXjNum(Integer xjNum) {
        this.xjNum = xjNum;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setOrderNo(String orderNo) 
    {
        this.orderNo = orderNo;
    }

    public String getOrderNo() 
    {
        return orderNo;
    }
    public void setStationId(Long stationId) 
    {
        this.stationId = stationId;
    }

    public Long getStationId() 
    {
        return stationId;
    }
    public void setStationName(String stationName) 
    {
        this.stationName = stationName;
    }

    public String getStationName() 
    {
        return stationName;
    }
    public void setOilGun(String oilGun) 
    {
        this.oilGun = oilGun;
    }

    public String getOilGun() 
    {
        return oilGun;
    }
    public void setOilName(String oilName) 
    {
        this.oilName = oilName;
    }

    public String getOilName() 
    {
        return oilName;
    }
    public void setOilPirce(BigDecimal oilPirce) 
    {
        this.oilPirce = oilPirce;
    }

    public BigDecimal getOilPirce() 
    {
        return oilPirce;
    }
    public void setOilType(String oilType) 
    {
        this.oilType = oilType;
    }

    public String getOilType() 
    {
        return oilType;
    }
    public void setConsumerId(Long consumerId) 
    {
        this.consumerId = consumerId;
    }

    public Long getConsumerId() 
    {
        return consumerId;
    }
    public void setConsumer(String consumer) 
    {
        this.consumer = consumer;
    }

    public String getConsumer() 
    {
        return consumer;
    }


    public void setPayType(String payType) 
    {
        this.payType = payType;
    }

    public String getPayType() 
    {
        return payType;
    }
    public void setPayWay(String payWay) 
    {
        this.payWay = payWay;
    }

    public String getPayWay() 
    {
        return payWay;
    }
    public void setPayDate(Date payDate) 
    {
        this.payDate = payDate;
    }

    public Date getPayDate() 
    {
        return payDate;
    }
    public void setOilPersonnel(String oilPersonnel) 
    {
        this.oilPersonnel = oilPersonnel;
    }

    public String getOilPersonnel() 
    {
        return oilPersonnel;
    }
    public void setOrderType(String orderType) 
    {
        this.orderType = orderType;
    }

    public String getOrderType() 
    {
        return orderType;
    }
    public void setPrintNum(Long printNum) 
    {
        this.printNum = printNum;
    }

    public Long getPrintNum() 
    {
        return printNum;
    }
    public void setClassStructureNo(String classStructureNo) 
    {
        this.classStructureNo = classStructureNo;
    }

    public String getClassStructureNo() 
    {
        return classStructureNo;
    }
    public void setClassStartDate(Date classStartDate) 
    {
        this.classStartDate = classStartDate;
    }

    public Date getClassStartDate() 
    {
        return classStartDate;
    }
    public void setClassStructureDate(Date classStructureDate) 
    {
        this.classStructureDate = classStructureDate;
    }

    public Date getClassStructureDate() 
    {
        return classStructureDate;
    }
    public void setClassStructureMan(String classStructureMan) 
    {
        this.classStructureMan = classStructureMan;
    }

    public String getClassStructureMan() 
    {
        return classStructureMan;
    }
    public void setOils(String oils) 
    {
        this.oils = oils;
    }

    public String getOils() 
    {
        return oils;
    }
    public void setReceivableAmt(BigDecimal receivableAmt) 
    {
        this.receivableAmt = receivableAmt;
    }

    public BigDecimal getReceivableAmt() 
    {
        return receivableAmt;
    }
    public void setReceivedAmt(BigDecimal receivedAmt) 
    {
        this.receivedAmt = receivedAmt;
    }

    public BigDecimal getReceivedAmt() 
    {
        return receivedAmt;
    }
    public void setDiscountAmt(BigDecimal discountAmt) 
    {
        this.discountAmt = discountAmt;
    }

    public BigDecimal getDiscountAmt() 
    {
        return discountAmt;
    }
    public void setDiscountCouponAmt(BigDecimal discountCouponAmt) 
    {
        this.discountCouponAmt = discountCouponAmt;
    }

    public BigDecimal getDiscountCouponAmt() 
    {
        return discountCouponAmt;
    }
    public void setDiscountCoupon(String discountCoupon) 
    {
        this.discountCoupon = discountCoupon;
    }

    public String getDiscountCoupon() 
    {
        return discountCoupon;
    }
    public void setWxAmt(BigDecimal wxAmt) 
    {
        this.wxAmt = wxAmt;
    }

    public BigDecimal getWxAmt() 
    {
        return wxAmt;
    }
    public void setZfbAmt(BigDecimal zfbAmt) 
    {
        this.zfbAmt = zfbAmt;
    }

    public BigDecimal getZfbAmt() 
    {
        return zfbAmt;
    }
    public void setPosAmt(BigDecimal posAmt) 
    {
        this.posAmt = posAmt;
    }

    public BigDecimal getPosAmt() 
    {
        return posAmt;
    }
    public void setXjAmt(BigDecimal xjAmt) 
    {
        this.xjAmt = xjAmt;
    }

    public BigDecimal getXjAmt() 
    {
        return xjAmt;
    }
    public void setDidiAppAmt(BigDecimal didiAppAmt) 
    {
        this.didiAppAmt = didiAppAmt;
    }

    public BigDecimal getDidiAppAmt() 
    {
        return didiAppAmt;
    }
    public void setTyAppAmt(BigDecimal tyAppAmt) 
    {
        this.tyAppAmt = tyAppAmt;
    }

    public BigDecimal getTyAppAmt() 
    {
        return tyAppAmt;
    }
    public void setOtherAmt(BigDecimal otherAmt) 
    {
        this.otherAmt = otherAmt;
    }

    public BigDecimal getOtherAmt() 
    {
        return otherAmt;
    }
    public void setDzkAmt(BigDecimal dzkAmt) 
    {
        this.dzkAmt = dzkAmt;
    }

    public BigDecimal getDzkAmt() 
    {
        return dzkAmt;
    }
    public void setScore(Long score) 
    {
        this.score = score;
    }

    public Long getScore() 
    {
        return score;
    }
    public void setMemberNo(String memberNo) 
    {
        this.memberNo = memberNo;
    }

    public String getMemberNo() 
    {
        return memberNo;
    }
    public void setMemberAmt(BigDecimal memberAmt) 
    {
        this.memberAmt = memberAmt;
    }

    public BigDecimal getMemberAmt() 
    {
        return memberAmt;
    }
    public void setCarNo(String carNo) 
    {
        this.carNo = carNo;
    }

    public String getCarNo() 
    {
        return carNo;
    }
    public void setCustomerPhone(String customerPhone) 
    {
        this.customerPhone = customerPhone;
    }

    public String getCustomerPhone() 
    {
        return customerPhone;
    }
    public void setCustomerGrade(String customerGrade) 
    {
        this.customerGrade = customerGrade;
    }

    public String getCustomerGrade() 
    {
        return customerGrade;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("orderNo", getOrderNo())
            .append("stationId", getStationId())
            .append("stationName", getStationName())
            .append("oilGun", getOilGun())
            .append("oilName", getOilName())
            .append("oilPirce", getOilPirce())
            .append("oilType", getOilType())
            .append("consumerId", getConsumerId())
            .append("consumer", getConsumer())
            .append("amt", getAmt())
            .append("orderLiters", getOrderLiters())
            .append("payType", getPayType())
            .append("payWay", getPayWay())
            .append("payDate", getPayDate())
            .append("oilPersonnel", getOilPersonnel())
            .append("orderType", getOrderType())
            .append("printNum", getPrintNum())
            .append("classStructureNo", getClassStructureNo())
            .append("classStartDate", getClassStartDate())
            .append("classStructureDate", getClassStructureDate())
            .append("classStructureMan", getClassStructureMan())
            .append("oils", getOils())
            .append("receivableAmt", getReceivableAmt())
            .append("receivedAmt", getReceivedAmt())
            .append("discountAmt", getDiscountAmt())
            .append("discountCouponAmt", getDiscountCouponAmt())
            .append("discountCoupon", getDiscountCoupon())
            .append("wxAmt", getWxAmt())
            .append("zfbAmt", getZfbAmt())
            .append("posAmt", getPosAmt())
            .append("xjAmt", getXjAmt())
            .append("didiAppAmt", getDidiAppAmt())
            .append("tyAppAmt", getTyAppAmt())
            .append("otherAmt", getOtherAmt())
            .append("dzkAmt", getDzkAmt())
            .append("score", getScore())
            .append("memberNo", getMemberNo())
            .append("memberAmt", getMemberAmt())
            .append("carNo", getCarNo())
            .append("customerPhone", getCustomerPhone())
            .append("customerGrade", getCustomerGrade())
            .toString();
    }
}
